Package net.shibboleth.idp.plugin.authn.webauthn.admin.impl

# Class PopulateInlineEnrolmentContext

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.PopulateInlineEnrolmentContext

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `MessageSource`, `MessageSourceAware`, `Action`

public class PopulateInlineEnrolmentContext extends AbstractProfileAction
Populate the `InlineEnrolmentContext` from the HTTP referer header in the HTTP request iff the registration query parameter contains 'inline'.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Predicate<ProfileRequestContext>`
`enabled`
Is inline enrolment enabled? Enabled by default.
`private Function<ProfileRequestContext,InlineEnrolmentContext>`
`inlineEnrolementContextCreationStrategy`
Strategy used to locate or create the `InlineEnrolmentContext` to populate.
`private final org.slf4j.Logger`
`log`
Class logger.
`private static final String`
`REG_QUERY_PARAM`
The name of the query parameter that contains a signal that the request was for inline enrolment.

## Constructor Summary

Constructors
Constructor
Description
`PopulateInlineEnrolmentContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext)`
`void`
`setEnabled(boolean flag)`
Set if inline enrolment should be enabled.
`void`
`setEnabled(Predicate<ProfileRequestContext> predicate)`
Set if inline enrolment should be enabled.
`void`
`setInlineEnrolementContextCreationStrategy(Function<ProfileRequestContext,InlineEnrolmentContext> strategy)`
Set the strategy used to locate or create the `InlineEnrolmentContext`.

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`doPreExecute, getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### REG_QUERY_PARAM

@Nonnull @NotEmpty private static final String REG_QUERY_PARAM
The name of the query parameter that contains a signal that the request was for inline enrolment.

See Also:
  - Constant Field Values

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### enabled

private Predicate<ProfileRequestContext> enabled
Is inline enrolment enabled? Enabled by default.

### inlineEnrolementContextCreationStrategy

@Nonnull private Function<ProfileRequestContext,InlineEnrolmentContext> inlineEnrolementContextCreationStrategy
Strategy used to locate or create the `InlineEnrolmentContext` to populate.

## Constructor Details

### PopulateInlineEnrolmentContext

public PopulateInlineEnrolmentContext()
Constructor.

## Method Details

### setEnabled

public void setEnabled(@Nonnull Predicate<ProfileRequestContext> predicate)
Set if inline enrolment should be enabled.

Parameters:
  `predicate` - the predicate to check if inline enrolment is enabled.

### setEnabled

public void setEnabled(boolean flag)
Set if inline enrolment should be enabled.

Parameters:
  `flag` - is inline enrolment enabled.

### setInlineEnrolementContextCreationStrategy

public void setInlineEnrolementContextCreationStrategy(@Nonnull Function<ProfileRequestContext,InlineEnrolmentContext> strategy)
Set the strategy used to locate or create the `InlineEnrolmentContext`.

Parameters:
  `strategy` - The strategy to set.

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doExecute` in class `AbstractProfileAction`